org.apache.ignite.internal.visor.cache

## Class VisorCachePartitions

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorCachePartitions

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCachePartitions
    extends VisorDataTransferObject

Data transfer object for information about cache partitions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorCachePartitions()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBackup(int partId, long cnt)` Add backup partition descriptor.
`void` `addPrimary(int partId, long cnt)` Add primary partition descriptor.
`Map<Integer,Long>` `getBackup()`
`Map<Integer,Long>` `getPrimary()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCachePartitions

    public VisorCachePartitions()

Default constructor.

### Method Detail

#### addPrimary

    public void addPrimary(int partId,
                           long cnt)

Add primary partition descriptor.

Parameters:
  `partId` - Partition id.
  `cnt` - Number of primary keys in partition.

#### addBackup

    public void addBackup(int partId,
                          long cnt)

Add backup partition descriptor.

Parameters:
  `partId` - Partition id.
  `cnt` - Number of backup keys in partition.

#### getPrimary

    public Map<Integer,Long> getPrimary()

Returns:
  Get list of primary partitions.

#### getBackup

    public Map<Integer,Long> getBackup()

Returns:
  Get list of backup partitions.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018